Skip to main content
Settings/User Management APIs

RenewSession

RenewSession

PUT/zstack/v1/accounts/sessions/{sessionUuid}/renew

Operation ID

RenewSession

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • sessionUuid
    StringRequired

    The session UUID.

Body Fields

  • duration
    Long

    Optional. The session duration.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SessionInventoryRequired

    See inventory

    • uuid
      StringRequired

      The resource UUID.

    • accountUuid
      StringRequired

      The account UUID.

    • userUuid
      StringRequired

      The user UUID.

    • expiredDate
      TimestampRequired

      The expiration date of the session.

    • createDate
      TimestampRequired

      The creation date.